import { mapDispatchToArrayControlProps, mapStateToArrayLayoutProps, rankWith, } from '@jsonforms/core';
import { html } from '@microsoft/fast-element';
import { isArray } from '../testers/isArray';
import { LAYOUT_ARRAY_RANK } from './RenderersRanks';
export const LayoutArrayRendererTemplate = html `
  <template>
    <control-wrapper
      :control=${(x) => x.control}
      :touched=${(x) => x.touched}
      ?submitted=${(x) => x.submitted}
    >
      <array-list-wrapper :form=${(x) => x} :control=${(x) => x.control}></array-list-wrapper>
    </control-wrapper>
  </template>
`;
export const LayoutArrayRendererEntry = {
    renderer: LayoutArrayRendererTemplate,
    tester: rankWith(LAYOUT_ARRAY_RANK, isArray('object')),
    mapper: mapStateToArrayLayoutProps,
    dispatchMapper: mapDispatchToArrayControlProps,
};
