<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-forms](./foundation-forms.md) &gt; [Form](./foundation-forms.form.md)

## Form class

> This API is provided as a beta preview for developers and may change based on feedback that we receive. Do not use this API in a production environment.
> 

Foundation form component for automatically generated forms based on json schema obtained from the api, supplied initial data or supplied JSON schema. Allowing customisable form elements using UI schema and set of custom renderers

**Signature:**

```typescript
export declare class Form extends Form_base 
```
**Extends:** Form\_base

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [additionalRenderers](./foundation-forms.form.additionalrenderers.md) |  | [RendererEntry](./foundation-forms.rendererentry.md)<!-- -->\[\] | Allows to provide set of additional renderers used by the form. |
|  [data](./foundation-forms.form.data.md) |  | any | Initial data for the form |
|  [hideSubmit](./foundation-forms.form.hidesubmit.md) |  | boolean | **_(BETA)_** |
|  [isSubmitHidden](./foundation-forms.form.issubmithidden.md) | <code>readonly</code> | boolean | **_(BETA)_** |
|  [jsonSchema](./foundation-forms.form.jsonschema.md) |  | JSONSchema7 | Alternatively to providing [Form.resourceName](./foundation-forms.form.resourcename.md) you can hardcode the JSON schema on the client. |
|  [mergedRenderers](./foundation-forms.form.mergedrenderers.md) |  | [RendererEntry](./foundation-forms.rendererentry.md)<!-- -->\[\] | Represents the combined set of renderer entries that include both the default <code>renderers</code> and any <code>additionalRenderers</code>. This merged list of renderers is dynamically used by the form to render its components based on the current configuration of renderer settings. Any update to the <code>renderers</code> or <code>additionalRenderers</code> properties triggers a refresh of this combined list, ensuring it always reflects the most recent state. |
|  [prefix](./foundation-forms.form.prefix.md) |  | string | Name of the design system prefix that will be used in renderers. |
|  [readonly](./foundation-forms.form.readonly.md) |  | boolean | **_(BETA)_** |
|  [renderers](./foundation-forms.form.renderers.md) |  | [RendererEntry](./foundation-forms.rendererentry.md)<!-- -->\[\] | Allows to provide set of renderers used by the form. If not provided it will default to text-field inputs |
|  [resourceName](./foundation-forms.form.resourcename.md) |  | string | Name of the backend resource which will provide metadata used to generate form and later used for submitting data |
|  [uischema](./foundation-forms.form.uischema.md) |  | [UiSchema](./foundation-forms.uischema.md) | UI schema used to define configuration of the layout and elements in the form Check [UiSchema](./foundation-forms.uischema.md) for possible options |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [additionalRenderersChanged()](./foundation-forms.form.additionalrendererschanged.md) |  | **_(BETA)_** |
|  [disconnectedCallback()](./foundation-forms.form.disconnectedcallback.md) |  | **_(BETA)_** |
|  [renderersChanged()](./foundation-forms.form.rendererschanged.md) |  | **_(BETA)_** |
|  [reset(clearData)](./foundation-forms.form.reset.md) |  | Reset the form state |

